%define major     2
%define libname   %mklibname signon-glib %major
%define girname   %mklibname signon-glib-gir 2.0
%define develname %mklibname signon-glib -d

Name:          libsignon-glib
Version:       2.1
Release:       %mkrel 10
Group:         System/Libraries
Summary:       Authorization and authentication management for glib
License:       LGPLv2+
URL:           https://gitlab.com/accounts-sso/libsignon-glib
Source0:       https://gitlab.com/accounts-sso/libsignon-glib/-/archive/%{version}/%{name}-%{version}.tar.gz
# the shared dbus interfaces are maintained in a separate git submodule
%define ifaces  signon-dbus-specification
%define icommit 67487954653006ebd0743188342df65342dc8f9b
Source1:       https://gitlab.com/accounts-sso/%{ifaces}/-/archive/%{icommit}/%{ifaces}-%{icommit}.tar.gz
Patch0:        libsignon-glib-fix-build-with-gcc15.patch
BuildRequires: gcc
BuildRequires: gtk-doc
BuildRequires: meson
BuildRequires: vala
BuildRequires: xsltproc
BuildRequires: pkgconfig(check) >= 0.9.4
BuildRequires: pkgconfig(gio-2.0) >= 2.30
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.26
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(pygobject-3.0) >= 2.90
BuildRequires: pkgconfig(signond) >= 8.40
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(vapigen)
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(pygobject)

%description
libsignon-glib provides authorization and authentication management for GLib
applications.

%package -n %{libname}
Group:         System/Libraries
Summary:       Accounts and SSO (Single Sign-On) framework

%description -n %{libname}
libsignon-glib provides authorization and authentication management for GLib
applications.

%package -n %{girname}
Group:         System/Libraries
Summary:       GObject Introspection interface description for %{name}
Requires:      %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:       Development files for %{name}
Group:         Development/C
Requires:      %{libname} = %{version}-%{release}
Requires:      %{girname} = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}
Requires:      pkgconfig(dbus-glib-1)

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package -n python3-%{name}
Summary:       Python 3 binding for %{name}
Group:         Development/Python
Requires:      python3dist(pygobject)

Provides:      python-libsignon-glib = %{version}-%{release}

%description -n python3-%{name}
Python 3 binding for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

# initialise git submodule manually
pushd libsignon-glib/interfaces
tar -xzf %{SOURCE1}
mv %{ifaces}-%{icommit}/* ./
rmdir %{ifaces}-%{icommit}
popd

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%doc AUTHORS README.md NEWS
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Signon-2.0.typelib

%files -n %{develname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/
%{_datadir}/gir-1.0/Signon-2.0.gir
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/vala/vapi/*

%files -n python3-%{name}
%{python3_sitearch}/gi/overrides/Signon.*
%{python3_sitearch}/gi/overrides/__pycache__/*


%changelog
* Mon May 19 2025 ns80 <ns80> 2.1-10.mga10
+ Revision: 2184746
- try to fix building with GCC 15

* Tue Mar 04 2025 wally <wally> 2.1-9.mga10
+ Revision: 2160349
- rebuild for python3.13

* Sat Dec 30 2023 daviddavid <daviddavid> 2.1-8.mga10
+ Revision: 2024466
- rebuild for py3.12

* Tue Apr 05 2022 umeabot <umeabot> 2.1-7.mga9
+ Revision: 1844204
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 2.1-6.mga9
+ Revision: 1787106
- rebuild for python-3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 2.1-5.mga9
+ Revision: 1710177
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.1-4.mga8
+ Revision: 1533456
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 2.1-3.mga8
+ Revision: 1444545
- rebuild for python3.8

* Thu Apr 18 2019 umeabot <umeabot> 2.1-2.mga7
+ Revision: 1392791
- Rebuild with meson 0.50.1

* Sat Jan 26 2019 daviddavid <daviddavid> 2.1-1.mga7
+ Revision: 1361084
- new version: 2.1
- now libmajor is 2
- switch to meson build system
- switch to python3

* Sun Aug 26 2018 daviddavid <daviddavid> 1.14-1.mga7
+ Revision: 1254777
- new version: 1.14
- update URL and Source URL
- rename python-libsignon-glib to python2-libsignon-glib

* Mon Feb 15 2016 umeabot <umeabot> 1.7-14.mga6
+ Revision: 961216
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 1.7-13.mga6
+ Revision: 847719
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1.7-12.mga5
+ Revision: 744326
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7-11.mga5
+ Revision: 726884
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 1.7-10.mga5
+ Revision: 724929
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.7-9.mga5
+ Revision: 681784
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.7-8.mga5
+ Revision: 628310
- Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 1.7-7.mga4
+ Revision: 548952
- add requires on python-gi

* Wed Oct 23 2013 wally <wally> 1.7-6.mga4
+ Revision: 546683
- drop unneeded gir require from devel pkg

* Fri Oct 18 2013 umeabot <umeabot> 1.7-5.mga4
+ Revision: 507408
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.7-4.mga3
+ Revision: 358161
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 1.7-3.mga3
+ Revision: 329692
- add gir pkg
- br gir

* Tue Dec 11 2012 fwang <fwang> 1.7-2.mga3
+ Revision: 329530
- add req

* Tue Dec 11 2012 fwang <fwang> 1.7-1.mga3
+ Revision: 329525
- update file list
- update libmajor
- imported package libsignon-glib

